﻿using HealthMonitor.Core.Cache;
using HealthMonitor.Core.Dal;
using HealthMonitor.Core.Operator;
using HealthMonitor.Util.Entities.HealthMonitor;
using HealthMonitor.WebApi.Configs;
using HealthMonitor.WebApi.Controllers.Base;
using Microsoft.AspNetCore.Mvc;

namespace HealthMonitor.WebApi.Controllers.HealthMonitor
{
    [ApiExplorerSettings(GroupName = AppConsts.SWAGGER_DOC_HealthMonitor)]
    public class HmBloodPressReferenceValueController : HealthMonitorControllerBase<HmBloodPressReferenceValue>
    {
        public HmBloodPressReferenceValueController(
            // IHealthMonitorDataAccessor dataAccessor,
            IHealthMonitorDataAccessor dataAccessor,
            IHealthMonitorOperatorManager operatorManager,
            IDurableEntityManager durableManager,
            ILogger<HmBloodPressReferenceValueController> logger)
            : base(dataAccessor, operatorManager, durableManager, logger)
        {


        }
    }
}
